Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
inetsock_arg Struct Reference

## Data Fields
VALUE | sock
struct {
VALUE host
VALUE serv
struct rb_addrinfo * res
} | remote
struct {
VALUE host
VALUE serv
struct rb_addrinfo * res
} | local
int | type
int | fd

## Detailed Description

Definition at line 13 of file ipsocket.c.

## Field Documentation

## ◆ fd

int inetsock_arg::fd

Definition at line 29 of file ipsocket.c.

## ◆ host

VALUE inetsock_arg::host

Definition at line 25 of file ipsocket.c.

## ◆ local

struct { ... } inetsock_arg::local

## ◆ remote

struct { ... } inetsock_arg::remote

## ◆ res

struct rb_addrinfo* inetsock_arg::res

Definition at line 26 of file ipsocket.c.

## ◆ serv

VALUE inetsock_arg::serv

Definition at line 25 of file ipsocket.c.

## ◆ sock

VALUE inetsock_arg::sock

Definition at line 23 of file ipsocket.c.

Referenced by rsock_init_inetsock().

## ◆ type

int inetsock_arg::type

Definition at line 28 of file ipsocket.c.

The documentation for this struct was generated from the following file:

- ext/socket/ipsocket.c